| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions

# Tp::PendingContactInfo Class Reference
[Connection proxies]

Class containing the parameters of and the reply to an asynchronous contact info request. More...

`#include </home/andrunko/work/telepathy/telepathy-qt4/TelepathyQt4/pending-contact-info.h>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- ~PendingContactInfo ()
- ContactPtr contact () const
- TELEPATHY_QT4_DEPRECATED
  ContactInfoFieldList info () const
- Contact::InfoFields infoFields () const

## Detailed Description

Class containing the parameters of and the reply to an asynchronous contact info request.

Instances of this class cannot be constructed directly; the only way to get one is via Contact.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingContactInfo::~PendingContactInfo | ( |  | ) |

Class destructor.

## Member Function Documentation

ContactPtr Tp::PendingContactInfo::contact | ( |  | ) | const

Return the ContactPtr object through which the request was made.

Returns:
  A ContactPtr object.

ContactInfoFieldList Tp::PendingContactInfo::info | ( |  | ) | const

Returns the information for contact().

Deprecated:
  Use infoFields() instead.

Returns:
  An object representing the contact information.

Contact::InfoFields Tp::PendingContactInfo::infoFields | ( |  | ) | const

Returns the information for contact().

Returns:
  An object representing the contact information.